Bug 5804 - Жестко заданные ограничения по времени wlimit_time_* в скриптах hasher'а
: Жестко заданные ограничения по времени wlimit_time_* в скриптах hasher'а
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/hasher)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-12-31 16:09 by
Modified: 2005-06-26 12:08 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-12-31 16:09:53
В ряде скриптов в /usr/share/hasher/ ограничения на время выполнения операций
жестко задаются непосредственно в коде путём вызовов вида:

wlimit_time_elapsed=300 wlimit_time_idle=300 \
  "$chrootuid1" $number "$chroot" \ 
   .................

Тем самым для выполнения сборки на медленных системах требуется
непосредственная
модификация этих скриптов. Возможно, имеет смысл вынести значения этих
параметров в отдельный конфигурационный файл.
------- Comment #1 From 2005-01-03 01:58:45 -------
Возможно, стоит завести ~/.hasher/config для подобных целей.
------- Comment #2 From 2005-01-03 22:59:56 -------
Fixed in 1.0.9-alt1